GPSCTL(1)

NAME
gpsctl - control the modes of a GPS

SYNOPSIS

gpsctl [-h] [-b | -n] [-f] [-l] [-s speed] [-t devicetype] [-D debuglevel] [-V] [serial-port]

DESCRIPTION

gpsctl can switch a dual-mode GPS between NMEA and vendor-binary modes. It can also be used to set the device baudrate. Note: Not all devices have these capabilities.

If you have only one GPS attached to your machine, and gpsd is running, it is not necessary to specify the device; gpsctl does its work through gpsd, which will locate it for you.

When gpsd is not running, the device specification is required, and you will almost certainly need to be running as root in order to have write access to the device.

The program accepts the following options:

-b  Put GPS into binary mode. After the GPS resets itself autobaud to the new speed.

-n  Put GPS into NMEA mode. After the GPS resets itself autobaud to its new speed.

-f  Force low-level access (not through the daemon).

-l  List the known device types and exit..

-s  Set the baud rate at which the GPS emits packets.

-t  Force the device type.

-h  Display program usage and exit.

-D  Set level of debug messages.

-V  Display program version and exit.

The argument of the forcing option. -t, should be a string which should be contained in exactly one of the known driver names; for a list, do gpsctl -l.

Forcing the device type behaves somewhat differently depending on whether this tool, is going through the daemon or not. In high-level mode, if the device that daemon selects for you doesn't match the driver you specified, gpsctl exits with a warning. (This may be useful in scripts.)

In low-level mode, if the device identifies as a Generic NMEA, use the selected driver instead. This will be useful if you have a GPS device of known type that is in NMEA mode and not responding to probes. (This option was originally implemented for talking to SiRFStar I chips, which don't respond to the normal SiRF ID probe.)

If no options are given, the program will display a message identifying the GPS type of the selected device and exit.

SEE ALSO

 gpsd(8), gps(1), libgps(3), libgpsd(3), gpsprof(1), gpsfake(1).

AUTHOR

Eric S. Raymond <esr@thyrsus.com>. There is a project page for gpsd here: http://gpsd.berlios.de/.